Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.Designer.cs	(revision 94)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.Designer.cs	(revision 95)
@@ -1560,8 +1562,9 @@
             // 
             // Column11
             // 
-            dataGridViewCellStyle21.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.Column11.DefaultCellStyle = dataGridViewCellStyle21;
+            dataGridViewCellStyle10.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.Column11.DefaultCellStyle = dataGridViewCellStyle10;
+            this.Column11.Frozen = true;
             this.Column11.HeaderText = "単　価";
             this.Column11.Name = "Column11";
             this.Column11.Resizable = System.Windows.Forms.DataGridViewTriState.False;
@@ -1570,8 +1573,9 @@
             // 
             // Column12
             // 
-            dataGridViewCellStyle22.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.Column12.DefaultCellStyle = dataGridViewCellStyle22;
+            dataGridViewCellStyle11.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.Column12.DefaultCellStyle = dataGridViewCellStyle11;
+            this.Column12.Frozen = true;
             this.Column12.HeaderText = "金　額";
             this.Column12.Name = "Column12";
             this.Column12.Resizable = System.Windows.Forms.DataGridViewTriState.False;
@@ -1612,7 +1616,6 @@
             this.tabPage1.ResumeLayout(false);
             this.panel3.ResumeLayout(false);
             this.panel3.PerformLayout();
-            this.TabCollections.ResumeLayout(false);
             this.groupBox3.ResumeLayout(false);
             this.groupBox3.PerformLayout();
             this.groupBox2.ResumeLayout(false);
@@ -1624,6 +1627,7 @@
             this.groupBox1.ResumeLayout(false);
             this.groupBox1.PerformLayout();
             ((System.ComponentModel.ISupportInitialize)(this.dgvAllDisplay)).EndInit();
+            this.TabCollections.ResumeLayout(false);
             this.ResumeLayout(false);
 
         }
@@ -1724,6 +1728,15 @@
         private System.Windows.Forms.Label label15;
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn2;
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn12;
+        private CustomControls.GroupBoxEx groupBox5;
+        private System.Windows.Forms.TextBox textBox3;
+        private System.Windows.Forms.Label label20;
+        private System.Windows.Forms.Label label19;
+        private System.Windows.Forms.Label label22;
+        private System.Windows.Forms.ComboBox comboBox1;
+        private System.Windows.Forms.ComboBox comboBox2;
+        private System.Windows.Forms.Button btnPageDelete;
+        private System.Windows.Forms.Button btnChangeCompany;
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn1;
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn3;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column14;
@@ -1734,14 +1747,5 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn Column8;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column11;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column12;
-        private CustomControls.GroupBoxEx groupBox5;
-        private System.Windows.Forms.TextBox textBox3;
-        private System.Windows.Forms.Label label20;
-        private System.Windows.Forms.Label label19;
-        private System.Windows.Forms.Label label22;
-        private System.Windows.Forms.ComboBox comboBox1;
-        private System.Windows.Forms.ComboBox comboBox2;
-        private System.Windows.Forms.Button btnPageDelete;
-        private System.Windows.Forms.Button btnChangeCompany;
     }
 }
\ No newline at end of file
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntryAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntryAuxiliary.cs	(revision 94)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntryAuxiliary.cs	(revision 95)
@@ -438,6 +438,7 @@
 
                 int SourceCode = 0;
                 int CompanyCode = 0;
+                int LineNo = 0;
                 int brkSourceCode = 0;
                 bool bFirstCode = true;
                 bool bFirstCompany = true;
@@ -445,6 +446,7 @@
                 {
                     SourceCode = CommonMotions.cnvInt(CurRec[(int)FrmOrderEntryList.ReadDBColumn.SourceCode]);
                     CompanyCode = CommonMotions.cnvInt(CurRec[(int)FrmOrderEntryList.ReadDBColumn.CompanyCode]);
+                    LineNo = CommonMotions.cnvInt(CurRec[(int)FrmOrderEntryList.ReadDBColumn.LedgerLine]);
                     // 工事番号のセット
                     if (brkSourceCode != SourceCode)
                     {
@@ -466,7 +468,7 @@
                     // 会社番号のセット
                     if (!bFirstCompany) strSQL += " OR";
 
-                    strSQL += string.Format(" COMPANYCODE = {0}", CompanyCode);
+                    strSQL += string.Format(" (COMPANYCODE = {0} AND LINECOUNT = {1})", CompanyCode, LineNo);
                     
                     bFirstCompany = false;
                 }
@@ -486,18 +488,16 @@
         /// <returns></returns>
         private bool CreateNewOrderData()
         {
-            //IOConstructionBudgetDetail DetailDB = new IOConstructionBudgetDetail();
             IOConstructionLedgerDetail DetailDB = new IOConstructionLedgerDetail();
             IOPurchaseOrder OrderDB = new IOPurchaseOrder();
             try
             {
-                //if (m_DetailList.Count == 0) return false;
+                if (m_DetailList.Count == 0) return false;
 
                 // 対象データSQL作成
                 string strSQL = string.Empty;
                 CreateNewDataSQL(ref strSQL);
                 // 工事詳細台帳データ読込
-                //List<ConstructionBudgetDetail> DetailList = new List<ConstructionBudgetDetail>();
                 List<ConstructionLedgerDetail> DetailList = new List<ConstructionLedgerDetail>();
                 if (!DetailDB.SelectAction(strSQL, ref DetailList)) return false;
                 if (DetailList.Count == 0) return false;
@@ -510,9 +510,7 @@
                 bool binit = true;
                 int Break_CompanyCode = 0;
                 double Break_Total = 0;
-                //List<ConstructionBudgetDetail> SumBuffer = new List<ConstructionBudgetDetail>();
                 List<ConstructionLedgerDetail> SumBuffer = new List<ConstructionLedgerDetail>();
-                //foreach (ConstructionBudgetDetail DetailRec in DetailList)
                 foreach (ConstructionLedgerDetail DetailRec in DetailList)
                 {
                     // 1件目はバッファへセットして処理しない
@@ -606,7 +604,6 @@
         /// </summary>
         /// <param name="inputpage"></param>
         /// <param name="DetailRec"></param>
-        //private bool SetConstructionBudget(PurchaseOrderInputPage inputpage, List<ConstructionBudgetDetail> DetailList, int PageCount)
         private bool SetConstructionBudget(PurchaseOrderInputPage inputpage, List<ConstructionLedgerDetail> DetailList, int PageCount)
         {
             try
@@ -893,6 +890,7 @@
                     GetRow.Cells[(int)DispDetailGridColumn.UnitPrice].Value = DetailRec.UnitPrice.ToString("#,#");	            // 単価
                     GetRow.Cells[(int)DispDetailGridColumn.PriceValue].Value = DetailRec.OrdersLinePrice.ToString("#,0");       // 金額
                     GetRow.Cells[(int)DispDetailGridColumn.SourceCode].Value = DetailRec.SourceCode;                            // 元工事番号
+                    GetRow.Cells[(int)DispDetailGridColumn.LedgerLine].Value = DetailRec.SourceLineCnt;                         // 元台帳行番号
 
                     // 金額集計
                     PriceValueValue += DetailRec.OrdersLinePrice;
@@ -938,10 +936,13 @@
             {
                 LedgerOrderPrice.Clear();
 
-                string strSQL = "SELECT COMPANYCODE, SUM(EXECUTIONAMOUNT) FROM CONSTRUCTIONLEDGERDETAIL";
-                strSQL += string.Format(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
-                strSQL += string.Format(" AND GROUPCOUNT = {0}", (int)FrmConstructionLedger.DataGroup.ConstructionCosts);
-                strSQL += " GROUP BY COMPANYCODE ORDER BY COMPANYCODE";
+                string strSQL = "SELECT A.COMPANYCODE, SUM(A.EXECUTIONAMOUNT)";
+                strSQL += " FROM CONSTRUCTIONLEDGERDETAIL A";
+                strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                strSQL += string.Format(" AND A.GROUPCOUNT = {0}", (int)FrmConstructionLedger.DataGroup.ConstructionCosts);
+                strSQL += string.Format(" AND A.PURCHASEORDERFLG = {0}", (int)CommonDefine.PurchaseOrderFlg.Making);
+                
+                strSQL += " GROUP BY A.COMPANYCODE ORDER BY A.COMPANYCODE";
                 ArrayList arList = new ArrayList();
                 LedgerDDB.ExecuteReader(strSQL, ref arList);
                 foreach (object[] objRec in arList)
@@ -1544,7 +1545,9 @@
                     DataGridViewRow GetRow = DataTab.Group1DataGridView.Rows[i];
                     // 文字が設定されていない場合は無効行
                     if (CommonMotions.cnvString(GetRow.Cells[(int)DispDetailGridColumn.FirstName].Value).Length == 0 &&
-                        CommonMotions.cnvString(GetRow.Cells[(int)DispDetailGridColumn.SecondName].Value).Length == 0) continue;
+                        CommonMotions.cnvString(GetRow.Cells[(int)DispDetailGridColumn.SecondName].Value).Length == 0 &&
+                        CommonMotions.cnvInt(GetRow.Cells[(int)DispDetailGridColumn.Quantity].Value) == 0 &&
+                        CommonMotions.cnvDouble(GetRow.Cells[(int)DispDetailGridColumn.PriceValue].Value) == 0) continue;
 
                     PurchaseOrderDetail DatailRec = new PurchaseOrderDetail();
                     DatailRec.ConstructionCode = m_ConstructionCode;	                                                            // 工事番号
@@ -1560,6 +1563,7 @@
                     DatailRec.UnitPrice = CommonMotions.cnvInt(GetRow.Cells[(int)DispDetailGridColumn.UnitPrice].Value);	        // 単価
                     DatailRec.OrdersLinePrice = CommonMotions.cnvDouble(GetRow.Cells[(int)DispDetailGridColumn.PriceValue].Value);  // 金額
                     DatailRec.SourceCode = CommonMotions.cnvInt(GetRow.Cells[(int)DispDetailGridColumn.SourceCode].Value);          // 元工事番号
+                    DatailRec.SourceLineCnt = CommonMotions.cnvInt(GetRow.Cells[(int)DispDetailGridColumn.LedgerLine].Value);       // 元台帳行番号
 
                     // データ書込み
                     if (!DetailDB.InsertAction(DatailRec, false)) return false;
@@ -1677,7 +1681,7 @@
                     strSQL += string.Format(" AND COMPANYCODE = {0}", DataTab.OrderCompanyCode);
                     //strSQL += string.Format(" AND EXECUTIONAMOUNT = {0}", PriceVal);
                     if (LedgerLine != 0) strSQL += string.Format(" AND LINECOUNT = {0}", LedgerLine);
-                    if (!LDetailDB.UpdateFeild(strSQL, TargetField, 1, false))
+                    if (!LDetailDB.UpdateFeild(strSQL, TargetField, (int)CommonDefine.PurchaseOrderFlg.Making, false))
                     {
                         LogicalErrorMessage("注文書データ：注文書作成フラグ更新に失敗しました。", "更新エラー", CommonMotions.GetMethodName());
                         return false;
@@ -1745,20 +1749,25 @@
                 OrderDB.connect(); OrderDB.beginTran();
                 DetailDB.connect(); DetailDB.beginTran();
 
-                // 削除する
-                string strDel = OrderDB.CreatePrimarykeyString(m_ConstructionCode);
-                if (!OrderDB.DeleteAction(strDel, false))
+                for (int i = 0; i < m_TabPageList.Count; i++)
                 {
-                    OrderDB.rollback();
-                    return false;
+                    PurchaseOrderInputPage DataTab = m_TabPageList[i];
+                    int SeqCnt = DataTab.SeqNo;
+
+                    // 削除する
+                    string strDel = OrderDB.CreatePrimarykeyString(m_ConstructionCode, SeqCnt);
+                    if (!OrderDB.DeleteAction(strDel, false))
+                    {
+                        OrderDB.rollback();
+                        return false;
+                    }
+                    if (!DetailDB.DeleteAction(strDel, false))
+                    {
+                        OrderDB.rollback();
+                        DetailDB.rollback();
+                        return false;
+                    }
                 }
-                if (!DetailDB.DeleteAction(strDel, false))
-                {
-                    OrderDB.rollback();
-                    DetailDB.rollback();
-                    return false;
-                }
-
                 OrderDB.commit();
                 DetailDB.commit();
 
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionType/FrmConstructionType.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionType/FrmConstructionType.cs	(revision 94)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionType/FrmConstructionType.cs	(revision 95)
@@ -77,6 +77,7 @@
             TypeName,
             PublicFlg,
             EditMode,
+            DataSecRank,
         }
 
         /// <summary>
@@ -595,6 +596,7 @@
             m_dispControl[(int)DispCtrl.TypeName] = txtInput1;
             m_dispControl[(int)DispCtrl.PublicFlg] = cmbPublicFlg;
             m_dispControl[(int)DispCtrl.EditMode] = lblEditMode;
+            m_dispControl[(int)DispCtrl.DataSecRank] = cmbDataSecRank;
         }
         #endregion
 
@@ -626,6 +628,7 @@
                     lblTypeCode.Visible = true;
                 }
                 cmbPublicFlg.SelectedIndex = -1;
+                cmbDataSecRank.SelectedIndex = -1;
                 m_bChengeAns = false;
                 TypeExpensesVisible(false);
             }
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 94)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 95)
@@ -4654,7 +4654,7 @@
 
                 // 工事基本情報取得
                 if (!cbiDB.ExecuteReader(strSQL, ref arData)) return;
-                if (arData.Count == 0) return;
+                //if (arData.Count == 0) return;
 
                 ProgressCompletionOfConstruction.Visible = true;
                 ProgressCompletionOfConstruction.Minimum = 0;
@@ -4671,6 +4671,87 @@
                 lblCompTotal03.Visible = false;
                 lblCompTotal04.Visible = false;
 
+                // グリッド表示
+                if (arData.Count != 0) DispCompOfConstrGrid(cbiDB, arData);
+
+                // 行や列を追加したり、セルに値を設定するときは、自動サイズ設定しない。
+                dgvCompletionOfConstruction.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
+                dgvCompletionOfConstruction.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.None;
+                dgvCompletionOfConstruction.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
+
+                // ProgressBarの値を変更する
+                ProgressCompletionOfConstruction.Value = ProgressCompletionOfConstruction.Maximum;
+                ProgressCompletionOfConstruction.Update();
+                ProgressCompletionOfConstruction.Visible = false;
+
+                // 金額表示
+                long[] Total01 = CalcOrdersDecisionPrice((numUDCompletion.Value - 1));
+                long[] Total02 = CalcOrdersDecisionPrice(numUDCompletion.Value);
+                lblCompTotal01.Text = @"\" + (Total01[0] + Total01[1]).ToString("#,0") + "-";
+                lblCompTotal02.Text = @"\" + (Total02[0] + Total02[1]).ToString("#,0") + "-";
+                lblCompTotal03.Text = @"\" + Total02[0].ToString("#,0") + "-";
+                lblCompTotal04.Text = @"\" + Total02[1].ToString("#,0") + "-";
+
+                // 最高機密管理者のみ金額が表示される
+                bool bSelFlg = false;
+                // 新セキュリティデータ対応済みかを確認する
+                if (CommonMotions.LoginUserData.SecCode == 0)
+                {
+                    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement ||
+                        CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
+                        bSelFlg = true;
+                }
+                else
+                {
+                    if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode
+                        || CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.SpecialAuthority].Key)
+                        bSelFlg = true;
+                }
+
+                if (bSelFlg)
+                {
+                    lblCompTitle01.Visible = true;
+                    lblCompTitle02.Visible = true;
+                    lblCompTitle03.Visible = true;
+                    lblCompTitle04.Visible = true;
+                    lblCompTotal01.Visible = true;
+                    lblCompTotal02.Visible = true;
+                    lblCompTotal03.Visible = true;
+                    lblCompTotal04.Visible = true;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                // 読込時データカウント取得
+                if (CommonDefine.s_MaxInitLineCount > dgvCompletionOfConstruction.RowCount)
+                    dgvCompletionOfConstruction.RowCount += (CommonDefine.s_MaxInitLineCount - dgvCompletionOfConstruction.RowCount);
+                foreach (DataGridViewColumn wrkCol in dgvCompletionOfConstruction.Columns)
+                    wrkCol.SortMode = DataGridViewColumnSortMode.Automatic;
+
+                // グリッドソート実行
+                GridSortExcute(dgvCompletionOfConstruction);
+                dgvCompletionOfConstruction.ResumeLayout();
+
+                cbiDB.close(); cbiDB = null;
+                picDB.close(); picDB = null;
+            }
+        }
+        #endregion
+
+        #region 完了案件一覧グリッド表示
+        /// <summary>
+        /// 完了案件一覧グリッド表示
+        /// </summary>
+        /// <param name="cbiDB"></param>
+        /// <param name="arData"></param>
+        private void DispCompOfConstrGrid(IOConstructionBaseInfo cbiDB, ArrayList arData)
+        {
+            try
+            {
                 dgvCompletionOfConstruction.SuspendLayout();
 
                 // 1件目取得
@@ -4755,71 +4836,12 @@
                     ProgressCompletionOfConstruction.Value = ino++;
                     ProgressCompletionOfConstruction.Update();
                 }
-                // 行や列を追加したり、セルに値を設定するときは、自動サイズ設定しない。
-                dgvCompletionOfConstruction.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
-                dgvCompletionOfConstruction.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.None;
-                dgvCompletionOfConstruction.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
 
-                // ProgressBarの値を変更する
-                ProgressCompletionOfConstruction.Value = ProgressCompletionOfConstruction.Maximum;
-                ProgressCompletionOfConstruction.Update();
-                ProgressCompletionOfConstruction.Visible = false;
-
-                // 金額表示
-                long[] Total01 = CalcOrdersDecisionPrice((numUDCompletion.Value - 1));
-                long[] Total02 = CalcOrdersDecisionPrice(numUDCompletion.Value);
-                lblCompTotal01.Text = @"\" + (Total01[0] + Total01[1]).ToString("#,0") + "-";
-                lblCompTotal02.Text = @"\" + (Total02[0] + Total02[1]).ToString("#,0") + "-";
-                lblCompTotal03.Text = @"\" + Total02[0].ToString("#,0") + "-";
-                lblCompTotal04.Text = @"\" + Total02[1].ToString("#,0") + "-";
-
-                // 最高機密管理者のみ金額が表示される
-                bool bSelFlg = false;
-                // 新セキュリティデータ対応済みかを確認する
-                if (CommonMotions.LoginUserData.SecCode == 0)
-                {
-                    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement ||
-                        CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
-                        bSelFlg = true;
-                }
-                else
-                {
-                    if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode
-                        || CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.SpecialAuthority].Key)
-                        bSelFlg = true;
-                }
-
-                if (bSelFlg)
-                {
-                    lblCompTitle01.Visible = true;
-                    lblCompTitle02.Visible = true;
-                    lblCompTitle03.Visible = true;
-                    lblCompTitle04.Visible = true;
-                    lblCompTotal01.Visible = true;
-                    lblCompTotal02.Visible = true;
-                    lblCompTotal03.Visible = true;
-                    lblCompTotal04.Visible = true;
-                }
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            finally
-            {
-                // 読込時データカウント取得
-                if (CommonDefine.s_MaxInitLineCount > dgvCompletionOfConstruction.RowCount)
-                    dgvCompletionOfConstruction.RowCount += (CommonDefine.s_MaxInitLineCount - dgvCompletionOfConstruction.RowCount);
-                foreach (DataGridViewColumn wrkCol in dgvCompletionOfConstruction.Columns)
-                    wrkCol.SortMode = DataGridViewColumnSortMode.Automatic;
-
-                // グリッドソート実行
-                GridSortExcute(dgvCompletionOfConstruction);
-                dgvCompletionOfConstruction.ResumeLayout();
-
-                cbiDB.close(); cbiDB = null;
-                picDB.close(); picDB = null;
-            }
         }
         #endregion
 
Index: trunk/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 94)
+++ trunk/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 95)
@@ -33,6 +33,6 @@
 // 既定値にすることができます:
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("0.0.0.0")]
-[assembly: AssemblyFileVersion("0.9.9.19")]
+[assembly: AssemblyFileVersion("0.9.9.21")]
 // Log4netを使用する
 [assembly: log4net.Config.XmlConfigurator(ConfigFile = @"log4net.config", Watch = true)]
\ No newline at end of file
